umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
ObjectNodeDialog::GeneralPageWidgets Struct Reference

`#include <objectnodedialog.h>`

## Public Attributes
QLabel * | nameL
QLabel * | typeL
QLabel * | stateL
QLineEdit * | nameLE
QLineEdit * | typeLE
QLineEdit * | stateLE
QRadioButton * | bufferRB
QRadioButton * | dataRB
QRadioButton * | flowRB
QGroupBox * | generalGB
DocumentationWidget * | docWidget

## Member Data Documentation

## ◆ bufferRB

QRadioButton* ObjectNodeDialog::GeneralPageWidgets::bufferRB

## ◆ dataRB

QRadioButton * ObjectNodeDialog::GeneralPageWidgets::dataRB

## ◆ docWidget

DocumentationWidget* ObjectNodeDialog::GeneralPageWidgets::docWidget

## ◆ flowRB

QRadioButton * ObjectNodeDialog::GeneralPageWidgets::flowRB

## ◆ generalGB

QGroupBox* ObjectNodeDialog::GeneralPageWidgets::generalGB

## ◆ nameL

QLabel* ObjectNodeDialog::GeneralPageWidgets::nameL

## ◆ nameLE

QLineEdit* ObjectNodeDialog::GeneralPageWidgets::nameLE

## ◆ stateL

QLabel * ObjectNodeDialog::GeneralPageWidgets::stateL

## ◆ stateLE

QLineEdit * ObjectNodeDialog::GeneralPageWidgets::stateLE

## ◆ typeL

QLabel * ObjectNodeDialog::GeneralPageWidgets::typeL

## ◆ typeLE

QLineEdit * ObjectNodeDialog::GeneralPageWidgets::typeLE

The documentation for this struct was generated from the following file:

- umbrello/dialogs/objectnodedialog.h